Package org.spongepowered.asm.util

## Interface IMessageSink

All Known Subinterfaces:
  `IInjectionPointContext`, `ISliceContext`

All Known Implementing Classes:
  `AccessorInfo`, `AnnotatedMethodInfo`, `CallbackInjectionInfo`, `InjectionInfo`, `InjectionPointAnnotationContext`, `ModifyArgInjectionInfo`, `ModifyArgsInjectionInfo`, `ModifyConstantInjectionInfo`, `ModifyVariableInjectionInfo`, `RedirectInjectionInfo`, `SpecialMethodInfo`

    public interface IMessageSink

Interface for generic message consumers

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addMessage​(java.lang.String format, java.lang.Object... args)` Add a new message

### Method Detail

#### addMessage

    void addMessage​(java.lang.String format,
                    java.lang.Object... args)

Add a new message

Parameters:
  `format` - Message format
  `args` - Message args